curl --request GET \
--url https://api.meetcampfire.com/ca/api/cash-basisimport requests
url = "https://api.meetcampfire.com/ca/api/cash-basis"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.meetcampfire.com/ca/api/cash-basis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Get Cash Basis Income Statement
Query Parameters
If true, uses full transaction date range for the customer; start_date and end_date are ignored
daily, monthly, quarterly, weekly, yearly Latest date (inclusive) for which to retrieve data. Defaults to end of current month
Entity ID(s) to scope the report. Can be repeated (?entity=1&entity=2) or JSON array
If true, includes all data of children entities in consolidation
If xlsx, returns Excel file (income_statement.xlsx) instead of JSON
xlsx Tag group ID. Required when group_by=tag
Breakdown dimension: vendor, department, tag, currency, entity. For tag, also pass group (tag group ID). For cash-basis, department_row_children, department_row_parents, department_only normalize to department
If true, roll up child account totals to parent accounts. Set to false for export
Earliest date (inclusive) for which to retrieve data. Defaults to six months ago
If true, use book currency amounts instead of presentation currency
Response
No response body